Update Role Definition

Update Role Definition
Update VCF Role

Updates an existing custom VCF role definition with new component roles and permissions. This operation allows modification of role assignments, descriptions, and component role mappings. Built-in roles cannot be updated, only custom roles are supported for updates.

Request
URI
PUT
https://{api_host}/suite-api/api/fleet-management/iam/roles
COPY
Request Body

Updated VCF role object containing modified role display name, description, and component roles

VcfRole of type(s) application/json
Required

Show optional properties

{
    "componentRoles": [
        {
            "componentType": "string",
            "roles": [
                {}
            ]
        }
    ],
    "roleName": "string"
}
"{\n  \"roleName\" : \"custom-administrator\",\n  \"roleDisplayName\" : \"multi-component-administrator\",\n  \"roleDescription\" : \"Updated Multi-Component Administrator Role with permissions across multiple VCF components\",\n  \"componentRoles\" : [ {\n    \"componentType\" : \"VCENTER\",\n    \"roles\" : [ \"Admin\" ]\n  }, {\n    \"componentType\" : \"NSX_MANAGER\",\n    \"roles\" : [ \"network_engineer\" ]\n  }, {\n    \"componentType\" : \"VCF_AUTOMATION\",\n    \"roles\" : [ \"System Administrator\" ]\n  }, {\n    \"componentType\" : \"VCF_ORCHESTRATOR\",\n    \"roles\" : [ \"Orchestrator Administrator\" ]\n  }, {\n    \"componentType\" : \"HCX\",\n    \"roles\" : [ \"System Administrator\" ]\n  } ]\n}"
array of object
componentRoles
Required
Constraints: minItems: 1

List of VCF Component Roles

integer As int64 As int64
createdAt
Optional

Role creation timestamp

string
createdBy
Optional

VCF Role Created By

string
roleDescription
Optional

VCF Role Description

string
roleDisplayName
Optional

VCF Display Role Name

string
roleName
Required
Constraints: minLength: 1

VCF Role Name

string
type
Optional

VCF Role type

Possible values are : BUILT_IN, CUSTOM, UNKNOWN,
integer As int64 As int64
updatedAt
Optional

Role last updated timestamp

string
updatedBy
Optional

VCF Role Updated By

Authentication
This operation uses the following authentication methods.
Responses
200

VCF role updated successfully

Returns VcfRole of type(s) application/json
{
    "componentRoles": [
        {
            "componentType": "string",
            "roles": [
                "string"
            ]
        }
    ],
    "createdAt": 0,
    "createdBy": "string",
    "roleDescription": "string",
    "roleDisplayName": "string",
    "roleName": "string",
    "type": "string",
    "updatedAt": 0,
    "updatedBy": "string"
}
array of object
componentRoles
Required
Constraints: minItems: 1

List of VCF Component Roles

integer As int64 As int64
createdAt
Optional

Role creation timestamp

string
createdBy
Optional

VCF Role Created By

string
roleDescription
Optional

VCF Role Description

string
roleDisplayName
Optional

VCF Display Role Name

string
roleName
Required
Constraints: minLength: 1

VCF Role Name

string
type
Optional

VCF Role type

Possible values are : BUILT_IN, CUSTOM, UNKNOWN,
integer As int64 As int64
updatedAt
Optional

Role last updated timestamp

string
updatedBy
Optional

VCF Role Updated By


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"componentRoles":["object"],"roleName":"string"}' https://{api_host}/suite-api/api/fleet-management/iam/roles
                
Iam Apis Operations
GET
Get Eligible Components
DELETE
Delete Iam Component Auth Source
POST
Create Iam Component Auth Source
POST
Get Iam Component Auth Sources
GET
Get Component Roles
POST
Provision Component Role
PUT
Update Component Role
GET
Get Component Role Summaries
DELETE
Delete Component Role
GET
Get Component Role
POST
Trigger Drift Check
POST
Retry Apply For Role
GET
Get Component Role Definitions
POST
Configure IDP
PUT
Update IDP Configuration
DELETE
Delete IDP Configuration
GET
Get IDP Configuration
GET
Get Scim Sync Client Info
POST
Generate Scim Sync Client
GET
Get Ldap Directories
POST
Lookup Ldap Groups
POST
Execute Ldap Sync
GET
Get Ldap Sync Logs
GET
Get Ldap Sync Log By Id
GET
Get Ldap Sync Profile
PUT
Update Ldap Sync Profile
POST
Lookup Ldap Users
GET
Get VCF Roles Paginated
POST
Create Role
PUT
Update Role Definition
DELETE
Delete Role
GET
Get Role
POST
Validate Saml Metadata
GET
Get Iam Settings
PUT
Update Iam Settings
GET
Get Sso Realm List
POST
Create Sso Realm
DELETE
Delete Sso Realm
GET
Get Sso Realm
PATCH
Update Api Client
POST
Create Api Client
POST
Query Api Clients
DELETE
Delete Api Client
GET
Get Api Client
PATCH
Update Api Token
POST
Generate Api Token
POST
Query Api Tokens
DELETE
Delete Api Token
GET
Get Api Token
POST
Re Generate Api Token
GET
List Emergency Clients
POST
Create Emergency Client
DELETE
Delete Emergency Client
GET
Get Emergency Client
POST
Regenerate Emergency Client
POST
Get Groups List
POST
Get Group Members List
GET
List O Auth Apps
POST
Create O Auth App
PUT
Update O Auth App
DELETE
Delete O Auth App
GET
Get O Auth App
POST
Rotate O Auth App Secret
DELETE
Delete Role Assignments
GET
Get Role Assignment
PUT
Update Role Assignment
POST
Get Users List
GET
Get Iam Task Details
GET
Get Eligible Vidbs
PATCH
Update Vidb Metadata